Bug 137216 - Hide cell which is anchor of a shape behaves different for rows than columns
Summary: Hide cell which is anchor of a shape behaves different for rows than columns
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-02 23:54 UTC by Regina Henschel
Modified: 2020-10-31 17:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File for reproducing the bug (8.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-02 23:54 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-10-02 23:54:29 UTC
Created attachment 166047 [details]
File for reproducing the bug

Open attached document it has a shape with anchor "To cell (resize with cell)". It is anchored to cell D3.

Click on column header D and use "Hide Columns" from context menu. Notice, that the shape is still visible. Undo.
Click on row header 3 and use "Hide Rows" from context menu. Notice, that now the shape is invisible. Undo.

Expected: Visibility of the shape behaves the same for column and row.
Comment 1 m.a.riosv 2020-10-03 11:31:09 UTC
Confirmed with:
Version: 6.4.7.1 (x64)
Build ID: 32fe9ceb49bbaa24397ab3ebad5eb8f5287d8086
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: GL; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: CL
Version: 7.1.0.0.alpha0+ (x64)
Build ID: dec9a123867dcd0fea4683beeb3b4b6659f926f3
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: es-ES Calc: threaded
Comment 2 Regina Henschel 2020-10-31 17:02:46 UTC
Should be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=1f0b3c7a40edfa81bbc7a58d123a6a2dfd83e4ca

(The patch covers several bug reports, therefore no automatic notification.)